<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>IntersectionObserver()构造器</title>
    <style>
        body{
            margin: 0;
        }
        ul{
            margin-top: 0;
            padding-left:0 ;
            padding-bottom:0;
        }
        li{
            list-style: none;
        }
        .boxs{
            width: 402px;
            height: 300px;
            border: 1px solid red;
            overflow: auto;
        }
        .box-item{
            width: 400px;
            height: 100px;
            border: 1px solid;
        }
        .box-item-empty{
            height: 40px;
            border: 1px solid;
        }
    </style>
</head>
<body>
    <div class="boxs">
        <ul class="box-items">
            <li class="box-item">1</li>
            <li class="box-item">2</li>
            <li class="box-item">3</li>
            <li class="box-item">4</li>
            <li class="box-item">5</li>
            <li class="box-item">6</li>
            <li class="box-item">7</li>
            <li class="box-item">8</li>
            <li class="box-item">9</li>
            <li class="box-item">10</li>
            <li class="box-item">11</li>
            <li class="box-item-empty">限制</li>
        </ul>
    </div>
    <script>
        window.onload=function(){
            let interObsCallback=function(entries,observe){
                console.log(entries);
            },
            options={
                root:document.querySelector('.boxs'),
                rootMargin:'100px 100px 100px 100px',
                threshold:0.5
            };
            let observer=new IntersectionObserver(interObsCallback,options);
            let element=document.querySelector('.box-item-empty');
            console.log(element);
            observer.observe(element);
        }
    </script>
</body>
</html>